package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 志愿草稿对象 tb_report_draft
 *
 * @author ruoyi
 * @date 2023-11-02
 */
public class ReportDraft extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 志愿条目id */
    @Excel(name = "志愿条目id")
    private Long draftId;

    /** 所属报告id 有就代表是修改报告 没有代表新增报告 */
    @Excel(name = "所属报告id 有就代表是修改报告 没有代表新增报告")
    private Long reportId;

    /** 志愿顺序位次（用于排序志愿） */
    @Excel(name = "志愿顺序位次", readConverterExp = "用=于排序志愿")
    private Integer sort;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 专业id */
    @Excel(name = "专业id")
    private Long majorId;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    private Long linkId;

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setDraftId(Long draftId)
    {
        this.draftId = draftId;
    }

    public Long getDraftId()
    {
        return draftId;
    }
    public void setReportId(Long reportId)
    {
        this.reportId = reportId;
    }

    public Long getReportId()
    {
        return reportId;
    }
    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public Integer getSort()
    {
        return sort;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setMajorId(Long majorId)
    {
        this.majorId = majorId;
    }

    public Long getMajorId()
    {
        return majorId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("draftId", getDraftId())
            .append("reportId", getReportId())
            .append("sort", getSort())
            .append("userId", getUserId())
            .append("schoolId", getSchoolId())
            .append("majorId", getMajorId())
            .append("batchId", getBatchId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
